/*
 * menu.h
 *
 *  Created on: 1 февр. 2022 г.
 *      Author: radioman
 */

#ifndef MENU_H_
#define MENU_H_

#include <stdint.h>

typedef enum { ENTRY_DIR = 'D', ENTRY_ACTION = 'A', ENTRY_PREF = 'P', ENTRY_CHECK = 'C',
         ENTRY_RADIO = 'R', ENTRY_BACK = 'B' } entry_type;

typedef struct itemDesc {
  uint8_t id;
  entry_type type;
  uint8_t checked;
  uint8_t pref;
  uint8_t level;
  struct itemDesc *prev;
  struct itemDesc *next;
  struct itemDesc *child;
  struct itemDesc *parent;
  char title[20];
} menu_td;

void MenuShow();
void MenuInit();
void MenuScroll();
void MenuEnter();

#endif /* MENU_H_ */
